import 'package:flutter/material.dart';
import 'package:percent_indicator/circular_percent_indicator.dart';
import 'package:sport/widgets/decoration.dart';
import 'package:sport/widgets/progress_bar.dart';

class TargetPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() => _PageState();
}

class _PageState extends State<TargetPage>  with TickerProviderStateMixin{

  AnimationController animationController;
  Animation animation;
  @override
  void initState() {
    super.initState();
    animationController =
    AnimationController(duration: Duration(seconds: 1), vsync: this)
      ..addStatusListener((status) {

      });
    animation = Tween(begin: 0.0, end: 1.0).animate(animationController);
    //开始动画
    animationController.forward();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SingleChildScrollView(
        child: Column(
          children: <Widget>[
            Container(
                margin: EdgeInsets.fromLTRB(12.0, 6.0, 12.0, 18.0),
                padding: EdgeInsets.fromLTRB(12.0, 12.0, 12.0, 12.0),
                decoration: circular(),
                child: Column(
                  children: <Widget>[
                    Row(
                      children: <Widget>[
                        Text("目标状态："),
                        Text("目标状态："),
                      ],
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                    )
                  ],
                )),
            CalendarDatePicker(
              initialDate: DateTime.now(),
              firstDate: DateTime(2020, 1, 1),
              lastDate: DateTime.now(),
              onDateChanged: (t) {},
              initialCalendarMode: DatePickerMode.day,
            ),
            CircularPercentIndicator(
              radius: 100.0,
              lineWidth: 10.0,
              percent: 0.7,
              center: new Text("100%"),
              animation: true,
              animationDuration: 1000,
              animateFromLastPercent: true,
              circularStrokeCap: CircularStrokeCap.round,
              rotateLinearGradient: true,
              linearGradient: LinearGradient(
                colors: <Color>[Color(0xff8DF7FF), Color(0xff16A2FF)],
              ),
            ),

            CustomPaint(
              painter: ProgressBarThree(.7),
              child: SizedBox(width: 100, height: 100,),
            ),
            AnimatedBuilder(
              animation: animation,
              builder: (BuildContext context, Widget child) {
                return CustomPaint(
                  painter: ProgressBarThree(animation.value),
                  child: SizedBox(width: 100, height: 100,),
                );
              },
            )
          ],
        ),
      ),
    );
  }
}
